## javax.transaction
Class SystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.SystemException

All Implemented Interfaces:
  Serializable

    public class SystemException

extends Exception

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $
See Also:
  Serialized Form

Field Summary
`int` `errorCode`

Constructor Summary
`SystemException()`
`SystemException(int errorCode)`
`SystemException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

Constructor Detail

### SystemException

    public SystemException()

### SystemException

    public SystemException(String message)

### SystemException

    public SystemException(int errorCode)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.